Templates

Get Templates

get

Retrieves all available templates.

Templates provide a pre-defined configuration for Cube servers.

Templates are read-only and cannot be created, modified, or deleted by users.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Query parameters
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Responses
chevron-right
200

Successful operation

application/json
get
/templates

Get Template by ID

get

Retrieves the properties of the template specified by its ID.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
templateIdstringRequired

The unique template ID.

Query parameters
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Responses
chevron-right
200

Successful operation

application/json
get
/templates/{templateId}

Last updated

Was this helpful?